> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costgraph.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Change one database price

> Change the rate or the descriptive fields of a database price you have published. Send only the fields you want to change.
The fields that identify the price cannot be changed, because they describe a different SKU; delete the price and register a new one instead.



## OpenAPI

````yaml https://raw.githubusercontent.com/baselinehq/mintlify-docs/main/api-reference/openapi.json patch /v1/marketplace/databases/{id}
openapi: 3.0.1
info:
  title: CostGraph Pricing API
  description: Provides API level access to the Costgraph Services.
  termsOfService: https://costgraph.ai/terms-of-use
  contact:
    name: Customer Support
    url: https://costgraph.ai/support
    email: support@costgraph.ai
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://pricing.baselinehq.cloud/
security: []
paths:
  /v1/marketplace/databases/{id}:
    patch:
      tags:
        - marketplace
      summary: Change one database price
      description: >-
        Change the rate or the descriptive fields of a database price you have
        published. Send only the fields you want to change.

        The fields that identify the price cannot be changed, because they
        describe a different SKU; delete the price and register a new one
        instead.
      parameters:
        - name: id
          in: path
          description: Price id
          required: true
          schema:
            type: string
      requestBody:
        description: Fields to change
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
        required: true
      responses:
        '200':
          description: The changed price
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatabasePrice'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    DatabasePrice:
      type: object
      properties:
        architecture:
          type: string
        availability_zone:
          type: string
        billing_config:
          type: string
        capacity_unit:
          type: string
        cost_per_capacity_unit:
          type: number
        cost_per_hour:
          type: number
        cost_per_io_request:
          type: number
        cost_per_iops_hour:
          type: number
        cost_per_storage_gb_hour:
          type: number
        cost_per_throughput_mbps_hour:
          type: number
        cost_per_vcpu_license_hour:
          type: number
        cpu_cores:
          type: number
        cpu_cores_cost_per_hour:
          type: number
        created_at:
          type: string
        currency:
          type: string
        deployment_option:
          type: string
        edition:
          type: string
        engine:
          type: string
        id:
          type: string
        instance_type:
          type: string
        max_iops:
          type: number
        max_storage_gb:
          type: number
        max_throughput_mbps:
          type: number
        min_iops:
          type: number
        min_storage_gb:
          type: number
        min_throughput_mbps:
          type: number
        native_cost_per_hour:
          type: number
        native_cost_per_storage_gb_hour:
          type: number
        period_billing_hours:
          type: number
        provider:
          type: string
        ram_gb:
          type: number
        ram_gb_cost_per_hour:
          type: number
        raw_pricing_data:
          type: object
          properties: {}
        region:
          type: string
        service:
          type: string
        storage_type:
          type: string
        tags:
          type: object
          properties: {}
        updated_at:
          type: string
        usage_type:
          type: string
    Problem:
      type: object
      properties:
        code:
          type: string
        detail:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/FieldError'
        instance:
          type: string
        status:
          type: integer
        title:
          type: string
        type:
          type: string
    FieldError:
      type: object
      properties:
        detail:
          type: string
        pointer:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: API key with "bl_" prefix (e.g. "bl_<api_key>")
      name: X-API-Key
      in: header
    BearerAuth:
      type: apiKey
      description: Bearer token for authentication (e.g. "Bearer <token>")
      name: Authorization
      in: header

````